{ ... }:
{
  imports = [
    # ./blink-cmp.nix
    # ./blink-cmp-copilot.nix
    # ./blink-cmp-dictionary.nix
    # ./blink-copilot.nix
    # ./blink-emoji.nixd
    ./bufferline.nix
    ./cmp.nix
    ./codecompanion.nix
    ./copilot.nix
    ./fzf-lua.nix
    ./lazydev.nix
    ./lsp.nix
    ./luasnip.nix
    ./nvim-tree.nix
    ./telescope.nix
    ./vim-signify.nix
  ];

  programs.nixvim.plugins = {
    comment.enable = true;
    diffview.enable = true;
    fugitive.enable = true;
    gitsigns.enable = true;
    indent-blankline.enable = true;
    lightline.enable = true;
    lsp-signature.enable = true;
        # config = ''
        #   lua << EOF
        #   require("lsp_signature").setup()
        #   EOF
        # '';

    lualine.enable = true;
    nix.enable = true;
    noice.enable = true;
    ## disable, very annoying as notifications block content and
    ## are part of the buffer rotation
    notify = {
      enable = false;
      topDown = false;
    };
    nvim-autopairs.enable = true;
    nvim-lightbulb.enable = true;
        # config = ''
        #   lua << EOF
        #   require('nvim-lightbulb').setup({
        #     float = {
        #       -- "true" causes "invalid buffer id" error
        #       enabled = false,
        #     },
        #     autocmd = {
        #       enabled = true,
        #     },
        #   })
        #   EOF
        # '';

    rainbow-delimiters.enable = true;
    sleuth.enable = true;
    treesitter.enable = false;
    tmux-navigator.enable = true;
    trouble.enable = true;
    # ## Needed for telescope, nvim-tree, trouble, diffview, bufferline, and other plugins
    # ## Only on unstable at the moment
    web-devicons.enable = true;
    which-key.enable = true;
  };
}
